Summary: The configuration files for setting up a caching name server.
Name: caching-nameserver
Version: 6.2
Release: 2mdk
Copyright: Public Domain
Group: System/Configuration/Networking
Source0: ftp://FTP.RS.INTERNIC.NET/domain/named.root
Source1: named.boot
Source2: named.local
Source3: named.conf
Source4: Copyright.caching-nameserver
Requires: bind
BuildRoot: /var/tmp/caching-nameserver-root
BuildArchitectures: noarch

%description
The caching-nameserver package includes the configuration files which
will make BIND, the DNS name server, act as a simple caching nameserver.
Many users on dialup connections use this package along with BIND for
such a purpose.

If you would like to set up a caching name server, you'll need to install
the caching-nameserver package; you'll also need to install bind.

%prep
%setup -c -T

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,var/named}

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/var/named/named.ca
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/named.boot
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/named/named.local
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/named.conf
install -m 644 %{SOURCE4} ./Copyright

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep ^nameserver /etc/resolv.conf >/dev/null 2>&1 ; then
    echo "nameserver 127.0.0.1" >> /etc/resolv.conf
fi 

%files
%defattr(-,root,root)
%config /etc/named.boot
%config /etc/named.conf
%config /var/named/named.ca
%config /var/named/named.local
%doc Copyright

%changelog
* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-2mdk
- mdk version.

* Fri Feb 24 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-1mdk
- mdk version.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- if there are no nameserver lines in /etc/resolv.conf, add one
- add a Copyright file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt for the 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- install bind-8.1.2 named.conf

* Mon May 04 1998 Donnie Barnes <djb@redhat.com>
- upgraded from 1.1 to 5.1 to make caching-nameserver version the same
  as the version of Red Hat that it runs on.  
- updated named.root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- updated named.root to latest
- updated copyright

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
